---
layout: default
title: Key
description: A collection of system key codes, representing keyboard characters and mouse buttons.
---
# enum Key

A collection of system key codes, representing keyboard
characters and mouse buttons.




## Enum Values

|  |  |
|--|--|
|A|a/A|
|Add|Numpad '+', NOT the same as number row '+'|
|Alt|Left or right Alt key|
|Apostrophe|'/"|
|B|b/B|
|Backspace|Backspace|
|Backtick|`/~|
|BracketClose|]/}|
|BracketOpen|[/{|
|C|c/C|
|CapsLock|This behaves a little differently! This tells the toggle state of caps lock, rather than the key state itself.|
|Comma|,/<|
|Ctrl|Left or right Control key|
|D|d/D|
|Decimal|Numpad '.', NOT the same as character '.'|
|Del|Any Delete key|
|Divide|Numpad '/', NOT the same as character '/'|
|Down|Down arrow key|
|E|e/E|
|End|End|
|Equals|=/+|
|Esc|Escape|
|F|f/F|
|F1|Function key F1|
|F10|Function key F10|
|F11|Function key F11|
|F12|Function key F12|
|F2|Function key F2|
|F3|Function key F3|
|F4|Function key F4|
|F5|Function key F5|
|F6|Function key F6|
|F7|Function key F7|
|F8|Function key F8|
|F9|Function key F9|
|G|g/G|
|H|h/H|
|Home|Home|
|I|i/I|
|Insert|Any Insert key|
|J|j/J|
|K|k/K|
|L|l/L|
|LCmd|The Windows/Mac Command button on the left side of the keyboard|
|Left|Left arrow key|
|M|m/M|
|MAX|Maximum value for key codes|
|Minus|-/_|
|MouseCenter|Center mouse button|
|MouseLeft|Left mouse button|
|MouseRight|Right mouse button|
|Multiply|Numpad '*', NOT the same as number row '*'|
|N|n/N|
|N0|Keyboard top row 0, with shift is ')'|
|N1|Keyboard top row 1, with shift is '!'|
|N2|Keyboard top row 2, with shift is '@'|
|N3|Keyboard top row 3, with shift is '#'|
|N4|Keyboard top row 4, with shift is '$'|
|N5|Keyboard top row 5, with shift is '%'|
|N6|Keyboard top row 6, with shift is '^'|
|N7|Keyboard top row 7, with shift is '&'|
|N8|Keyboard top row 8, with shift is '*'|
|N9|Keyboard top row 9, with shift is '('|
|Num0|0 on the numpad, when numlock is on|
|Num1|1 on the numpad, when numlock is on|
|Num2|2 on the numpad, when numlock is on|
|Num3|3 on the numpad, when numlock is on|
|Num4|4 on the numpad, when numlock is on|
|Num5|5 on the numpad, when numlock is on|
|Num6|6 on the numpad, when numlock is on|
|Num7|7 on the numpad, when numlock is on|
|Num8|8 on the numpad, when numlock is on|
|Num9|9 on the numpad, when numlock is on|
|O|o/O|
|P|p/P|
|PageDown|Page Down key|
|PageUp|Page Up key|
|Period|./>|
|Printscreen|Printscreen|
|Q|q/Q|
|R|r/R|
|RCmd|The Windows/Mac Command button on the right side of the keyboard|
|Return|Return, or Enter|
|Right|Right arrow key|
|S|s/S|
|Semicolon|;/:|
|Shift|Left or right Shift|
|SlashBack|\|
|SlashFwd|/|
|Space|Space|
|Subtract|Numpad '-', NOT the same as number row '-'|
|T|t/T|
|Tab|Tab|
|U|u/U|
|Up|Up arrow key|
|V|v/V|
|W|w/W|
|X|x/X|
|Y|y/Y|
|Z|z/Z|


