---
layout: default
title: Material.SetVector
description: Sets a shader parameter with the given name to the provided value. If no parameter is found, nothing happens, and the value is not set!
---
# [Material]({{site.url}}/Pages/Reference/Material.html).SetVector

<div class='signature' markdown='1'>
```csharp
void SetVector(string name, Vec4 value)
```
Sets a shader parameter with the given name to the
provided value. If no parameter is found, nothing happens, and
the value is not set!
</div>

|  |  |
|--|--|
|string name|Name of the shader parameter.|
|[Vec4]({{site.url}}/Pages/Reference/Vec4.html) value|New value for the parameter.|

<div class='signature' markdown='1'>
```csharp
void SetVector(string name, Vec3 value)
```
Sets a shader parameter with the given name to the
provided value. If no parameter is found, nothing happens, and
the value is not set!
</div>

|  |  |
|--|--|
|string name|Name of the shader parameter.|
|[Vec3]({{site.url}}/Pages/Reference/Vec3.html) value|New value for the parameter.|

<div class='signature' markdown='1'>
```csharp
void SetVector(string name, Vec2 value)
```
Sets a shader parameter with the given name to the
provided value. If no parameter is found, nothing happens, and
the value is not set!
</div>

|  |  |
|--|--|
|string name|Name of the shader parameter.|
|[Vec2]({{site.url}}/Pages/Reference/Vec2.html) value|New value for the parameter.|




