---
layout: default
title: Vec2.Dot
description: The dot product is an extremely useful operation! One major use is to determine how similar two vectors are. If the vectors are Unit vectors (magnitude/length of 1), then the result will be 1 if the vectors are the same, -1 if they're opposite, and a gradient in-between with 0 being perpendicular. See [Freya Holmer's excellent visualization](https.//twitter.com/FreyaHolmer/status/1200807790580768768) of this concept
---
# [Vec2]({{site.url}}/Pages/Reference/Vec2.html).Dot

<div class='signature' markdown='1'>
```csharp
static float Dot(Vec2 a, Vec2 b)
```
The dot product is an extremely useful operation! One
major use is to determine how similar two vectors are. If the
vectors are Unit vectors (magnitude/length of 1), then the result
will be 1 if the vectors are the same, -1 if they're opposite,
and a gradient in-between with 0 being perpendicular. See
[Freya Holmer's excellent visualization](https://twitter.com/FreyaHolmer/status/1200807790580768768)
of this concept
</div>

|  |  |
|--|--|
|[Vec2]({{site.url}}/Pages/Reference/Vec2.html) a|First vector.|
|[Vec2]({{site.url}}/Pages/Reference/Vec2.html) b|Second vector.|
|RETURNS: float|The dot product!|




